Bug 827089 - [te_IN] failed pofilter printf tests for subscription-manager translations
[te_IN] failed pofilter printf tests for subscription-manager translations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 5.9
Assigned To: Bryan Kearney
Entitlement Bugs
: i18n, Translation, Triaged
Depends On:
Blocks: 771481 771748
  Show dependency treegraph
 
Reported: 2012-05-31 11:06 EDT by Sharath Dwaral
Modified: 2015-03-22 21:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:46:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2012-05-31 11:06:10 EDT
Description of problem:
The gnome printf were not properly translated for 'es-ES' on a few of the translations.  See the output below...


Version-Release number of selected component (if applicable):
[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

How reproducible:


Steps to Reproduce:
[root@jsefler-r63-server ~]# msgunfmt --no-wrap /usr/share/locale/te/LC_MESSAGES/rhsm.mo -o /usr/share/locale/te/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t printf /usr/share/locale/te/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: l 10n\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-12 01:53-0400\n"
"Last-Translator: kkrothap <kkrothap@fedoraproject.org>\n"
"Language-Team: American English <kde-i18n-doc@kde.org>\n"
"Language: te\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) printf: Different number of printf variables
msgid ""
"\n"
"This machine appears to be already registered to Certificate-based RHN.  Exiting."
msgstr ""
"\n"
"ఈ మైగ్రేషన్ స్క్రిప్టునకు సిస్టమ్ RHN హోస్టెస్ క్లాసిక్‌కు నమోదగుట అవసరం.\n"
"ఏమైనప్పటికీ యీ సిస్టమ్  '%s' కు నమోదైనట్లు కనిపిస్తోంది.\n"
"నిష్క్రమిస్తోంది."

 
Actual results:
Above

Expected results:

msgid ""
"\n"
"This machine appears to be already registered to Certificate-based RHN.  Exiting."
msgstr ""
"\n"
"ఈ మైగ్రేషన్ స్క్రిప్టునకు సిస్టమ్ RHN హోస్టెస్ క్లాసిక్‌కు నమోదగుట అవసరం.\n"
"ఏమైనప్పటికీ యీ సిస్టమ్ కు నమోదైనట్లు కనిపిస్తోంది.\n"
"నిష్క్రమిస్తోంది."


Additional info:
http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#printf
Comment 2 RHEL Product and Program Management 2012-06-04 01:48:08 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Sharath Dwaral 2012-06-04 17:45:12 EDT
>Description of problem:
>The gnome printf were not properly translated for 'te' on a few of the >translations.  See the output below...
Comment 4 Krishna Babu K 2012-06-25 08:01:57 EDT
Hi,

Translation replaced with this 
"ఈ వ్యవస్థ యిప్పటికే ధృవీకరణపత్ర-ఆధారిత RHN కు నమోదైనట్లు కనిపిస్తోంది. నిష్క్రమిస్తోంది." %s removed as it is not in msgid.

thanks,
Krishna.
Comment 5 Bryan Kearney 2012-07-03 14:01:04 EDT
fixed in 1.0.8 or later.
Comment 6 Sharath Dwaral 2012-07-16 16:48:19 EDT
Version:
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.0.9-1.git.22.35b5155.el5
python-rhsm-1.0.3-1.git.2.47dc8f4.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
subscription-manager-migration-1.0.9-1.git.22.35b5155.el5
subscription-manager-gui-1.0.9-1.git.22.35b5155.el5
subscription-manager-firstboot-1.0.9-1.git.22.35b5155.el5

Verification:
# msgunfmt --no-wrap /usr/share/locale/te/LC_MESSAGES/rhsm.mo -o /usr/share/locale/te/LC_MESSAGES/rhsm.po
[root@fsharath-rhel59server sub-man]# pofilter --gnome -t printf /usr/share/locale/te/LC_MESSAGES/rhsm.poprocessing 1 files...
[###########################################] 100%

Moving bug to VERIFIED
Comment 7 Bryan Kearney 2013-01-09 12:46:09 EST
Batch change of verified bugs which must have missed making the errata.

Note You need to log in before you can comment on or make changes to this bug.